Index: proc-db/bottest.c
===================================================================
--- proc-db/bottest.c	(revision 54048)
+++ proc-db/bottest.c	(working copy)
@@ -309,7 +309,7 @@
 
     mk_bot(outfp, "bot_solid_dup_fs", RT_BOT_SOLID, RT_BOT_UNORIENTED, 0, 12, 5, vertices, faces, (fastf_t *)NULL, (struct bu_bitv *)NULL);
 
-    bu_free((char *)face_mode, "bottest: face_mode");
+    bu_free((genptr_t)face_mode, "bottest: face_mode");
 
     wdb_close(outfp);
 
Index: proc-db/masonry.c
===================================================================
--- proc-db/masonry.c	(revision 54048)
+++ proc-db/masonry.c	(working copy)
@@ -388,7 +388,7 @@
 			 */
 			sp = BU_LIST_PLAST(boardseg, &(seg->l));
 			BU_LIST_DEQUEUE(&(seg->l));
-			bu_free((char *)seg, "seg free 2");
+			bu_free((genptr_t)seg, "seg free 2");
 			seg = sp;
 
 		    } else if (op->ex > seg->s) {
@@ -720,7 +720,7 @@
 		 0.0, bd_thin);
 
 	BU_LIST_DEQUEUE(&(seg->l));
-	bu_free((char *)seg, "seg free 3");
+	bu_free((genptr_t)seg, "seg free 3");
     }
 
     /* now find the segments of the cap board */
@@ -741,7 +741,7 @@
 		 WALL_HEIGHT-bd_thin, WALL_HEIGHT);
 
 	BU_LIST_DEQUEUE(&(seg->l));
-	bu_free((char *)seg, "seg_free 4");
+	bu_free((genptr_t)seg, "seg_free 4");
     }
 
     /* put in the vertical stud boards that are not a part of an
Index: proc-db/tea.c
===================================================================
--- proc-db/tea.c	(revision 54048)
+++ proc-db/tea.c	(working copy)
@@ -66,10 +66,10 @@
      * Number of interior knots)
      */
 
-    bu_free((char *)b_patch->u.knots, "dumping u knots I'm about to realloc");
+    bu_free((genptr_t)b_patch->u.knots, "dumping u knots I'm about to realloc");
     rt_nurb_kvknot(&b_patch->u, 4, 0.0, 1.0, 0, &rt_uniresource);
 
-    bu_free((char *)b_patch->v.knots, "dumping v_kv knots I'm about to realloc");
+    bu_free((genptr_t)b_patch->v.knots, "dumping v_kv knots I'm about to realloc");
     rt_nurb_kvknot(&b_patch->v, 4, 0.0, 1.0, 0, &rt_uniresource);
 
     /* Copy the control points */
Index: fb/cell-fb.c
===================================================================
--- fb/cell-fb.c	(revision 54048)
+++ fb/cell-fb.c	(working copy)
@@ -566,7 +566,7 @@
     }
     (void) fb_close(fbiop);
 
-    bu_free((char *) buf, "line of frame buffer");
+    bu_free((genptr_t) buf, "line of frame buffer");
     if (debug_flag & CFB_DBG_MEM)
 	bu_log("freed buf, which is now %p\n", (void *)buf);
     return 1;
@@ -963,7 +963,7 @@
 		BU_LIST_DEQUEUE(&(lrp->l));
 		bu_log("%g %g	%d %d\n", lrp->h, lrp->v,
 		       (int) H2SCRX(lrp->h), (int) V2SCRY(lrp->v));
-		bu_free((char *) lrp, "location record");
+		bu_free((genptr_t) lrp, "location record");
 	    }
 	} else {
 	    bu_log("Displaying %ld cells\n", ncells);
Index: conv/obj-g.c
===================================================================
--- conv/obj-g.c	(revision 54048)
+++ conv/obj-g.c	(working copy)
@@ -1737,7 +1737,7 @@
 
     if ((ti->bot_mode == RT_BOT_PLATE) || (ti->bot_mode == RT_BOT_PLATE_NOCOS)) {
 	/* free array of bot_face_mode */
-	bu_free((char *)ti->bot_face_mode, "ti->bot_face_mode");
+	bu_free((genptr_t)ti->bot_face_mode, "ti->bot_face_mode");
 
 	/* free 'array of floats for face thickness' */
 	bu_free(ti->bot_thickness, "ti->bot_thickness");
Index: conv/g-obj.c
===================================================================
--- conv/g-obj.c	(revision 54048)
+++ conv/g-obj.c	(working copy)
@@ -494,7 +494,7 @@
 
 	sofar = db_path_to_string(pathp);
 	bu_log("FAILED in triangulator: %s\n", sofar);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Sometimes the NMG library adds debugging bits when
 	 * it detects an internal error, before bombing out.
Index: conv/fast4-g.c
===================================================================
--- conv/fast4-g.c	(revision 54048)
+++ conv/fast4-g.c	(working copy)
@@ -2146,11 +2146,11 @@
     bu_free(name, "solid_name");
 
     if (mode == PLATE_MODE) {
-	bu_free((char *)bot_ip.thickness, "BOT thickness");
-	bu_free((char *)bot_ip.face_mode, "BOT face_mode");
+	bu_free((genptr_t)bot_ip.thickness, "BOT thickness");
+	bu_free((genptr_t)bot_ip.face_mode, "BOT face_mode");
     }
-    bu_free((char *)bot_ip.vertices, "BOT vertices");
-    bu_free((char *)bot_ip.faces, "BOT faces");
+    bu_free((genptr_t)bot_ip.vertices, "BOT vertices");
+    bu_free((genptr_t)bot_ip.faces, "BOT faces");
 
 }
 
Index: conv/comgeom/solid.c
===================================================================
--- conv/comgeom/solid.c	(revision 54048)
+++ conv/comgeom/solid.c	(working copy)
@@ -308,7 +308,7 @@
 	    printf("mk_ars(%s) failed\n", name);
 	    /* Need to free memory ONLY if mk_ars fails; 'ret' is returned below */
 	    for (i = 0; i < ncurves; i++) {
-		bu_free((char *)curve[i], "curve[i]");
+		bu_free((genptr_t)curve[i], "curve[i]");
 	    }
 	    bu_free((char **)curve, "curve");
 	}
@@ -829,7 +829,7 @@
 	input_points = (fastf_t *)bu_malloc(npt*3*sizeof(fastf_t), "input_points");
 
 	if (getxsoldata(input_points, npt*3, sol_work) < 0) {
-	    bu_free((char *)input_points, "input_points");
+	    bu_free((genptr_t)input_points, "input_points");
 	    input_points = NULL;
 	    goto bad;
 	}
@@ -977,7 +977,7 @@
     }
 
     /* Release storage for input points */
-    bu_free((char *)input_points, "input_points");
+    bu_free((genptr_t)input_points, "input_points");
     input_points = NULL;
 
     /*
@@ -1059,9 +1059,9 @@
     /* Write out the solid ! */
     i = mk_arbn(outfp, name, nface, eqn);
 
-    if (vertex) bu_free((char *)vertex, "vertex");
-    if (eqn)    bu_free((char *)eqn, "eqn");
-    if (used)   bu_free((char *)used, "used");
+    if (vertex) bu_free((genptr_t)vertex, "vertex");
+    if (eqn)    bu_free((genptr_t)eqn, "eqn");
+    if (used)   bu_free((genptr_t)used, "used");
 
     return i;
 }
Index: conv/g-acad.c
===================================================================
--- conv/g-acad.c	(revision 54048)
+++ conv/g-acad.c	(working copy)
@@ -293,7 +293,7 @@
 	bu_log("FAILED in Boolean evaluation: %s\n", sofar);
 	fprintf(fpe, "Failed Bool. Eval.: %s\n", sofar);
 	fflush(fpe);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Sometimes the NMG library adds debugging bits when
 	 * it detects an internal error, before bombing out.
@@ -419,7 +419,7 @@
 		BU_UNSETJUMP;
 
 		sofar = db_path_to_string(pathp);
-		bu_free((char *)sofar, "sofar");
+		bu_free((genptr_t)sofar, "sofar");
 
 		/* Sometimes the NMG library adds debugging bits when
 		 * it detects an internal error, before bombing out.
Index: conv/patch/patch-g.c
===================================================================
--- conv/patch/patch-g.c	(revision 54048)
+++ conv/patch/patch-g.c	(working copy)
@@ -396,8 +396,8 @@
 	    }
 	}
     }
-    bu_free((char *)flags1, "nmg_shell_coplanar_face_merge flags1[]");
-    bu_free((char *)flags2, "nmg_shell_coplanar_face_merge flags2[]");
+    bu_free((genptr_t)flags1, "nmg_shell_coplanar_face_merge flags1[]");
+    bu_free((genptr_t)flags2, "nmg_shell_coplanar_face_merge flags2[]");
 
     if (rt_g.NMG_debug & DEBUG_BASIC) {
 	bu_log("nmg_shell_coplanar_face_merge(s=%p, tol=%p, simplify=%d)\n",
@@ -638,7 +638,7 @@
     }
 
     /* don't need the verts array any more */
-    bu_free((char *)verts, "build_solid: verts");
+    bu_free((genptr_t)verts, "build_solid: verts");
 
     /* fuse vertices */
     (void)nmg_vertex_fuse(&m->magic, tol);
@@ -669,7 +669,7 @@
 	bu_ptbl_free(&faces);
 
 	/* don't need the p_faces array any more */
-	bu_free((char *)p_faces, "build_solid: p_faces");
+	bu_free((genptr_t)p_faces, "build_solid: p_faces");
 
 	/* Calculate bounding boxes */
 	nmg_region_a(r, tol);
@@ -822,7 +822,7 @@
     is = nmg_dup_shell(s, &copy_tbl, tol);
 
     /* make a new flags array */
-    bu_free((char *)flags, "build_solid: flags");
+    bu_free((genptr_t)flags, "build_solid: flags");
     flags = (long *)bu_calloc(m->maxindex, sizeof(long), "patch-g: flags");
 
     /* Move faces planes */
@@ -855,7 +855,7 @@
     }
 
     /* don't need the p_faces array any more */
-    bu_free((char *)p_faces, "build_solid: p_faces");
+    bu_free((genptr_t)p_faces, "build_solid: p_faces");
 
     /* Reverse the normals of all the new faces */
     for (BU_LIST_FOR (fu, faceuse, &is->fu_hd)) {
@@ -875,7 +875,7 @@
     nmg_shell_a(is, tol);
 
     /* make yet another version of the flags array */
-    bu_free((char *)flags, "build_solid: flags");
+    bu_free((genptr_t)flags, "build_solid: flags");
     flags = (long *)bu_calloc(m->maxindex, sizeof(long), "patch-g: flags");
 
     /* make a list of the vertices to be moved */
@@ -931,8 +931,8 @@
 		bu_log("BAD shell written as %s\n", bad);
 	    }
 	    nmg_km(m);
-	    bu_free((char *)flags, "build_solid: flags");
-	    bu_free((char *)copy_tbl, "build_solid: copy_tbl");
+	    bu_free((genptr_t)flags, "build_solid: flags");
+	    bu_free((genptr_t)copy_tbl, "build_solid: copy_tbl");
 	    bu_ptbl_free(&verts_to_move);
 	    return 1;
 	}
@@ -963,13 +963,13 @@
 	mk_nmg(outfp, bad, m);
 	bu_log("BAD shell written as %s\n", bad);
 	nmg_km(m);
-	bu_free((char *)flags, "Build_solid: flags");
-	bu_free((char *)copy_tbl, "Build_solid: copy_tbl");
+	bu_free((genptr_t)flags, "Build_solid: flags");
+	bu_free((genptr_t)copy_tbl, "Build_solid: copy_tbl");
 	return 1;
     }
 
-    bu_free((char *)flags, "Build_solid: flags");
-    bu_free((char *)copy_tbl, "Build_solid: copy_tbl");
+    bu_free((genptr_t)flags, "Build_solid: flags");
+    bu_free((genptr_t)copy_tbl, "Build_solid: copy_tbl");
 
     bu_ptbl_reset(&faces);
 
@@ -3324,7 +3324,7 @@
     for (next=slist; next;) {
 	slist = next;
 	next = slist->next;
-	bu_free((char *)slist, "get_subtract: slist");
+	bu_free((genptr_t)slist, "get_subtract: slist");
     }
 
     slist = (struct subtract_list *)NULL;
Index: conv/euclid/g-euclid.c
===================================================================
--- conv/euclid/g-euclid.c	(revision 54048)
+++ conv/euclid/g-euclid.c	(working copy)
@@ -461,7 +461,7 @@
 		Write_euclid_face(faces[i].lu, 0, tsp->ts_regionid, ++face_count);
 	    }
 
-	    bu_free((char *)faces, "g-euclid: faces");
+	    bu_free((genptr_t)faces, "g-euclid: faces");
 	    faces = (struct facets*)NULL;
 	}
     }
@@ -470,7 +470,7 @@
 
 outt:
     if (faces)
-	bu_free((char *)faces, "g-euclid: faces");
+	bu_free((genptr_t)faces, "g-euclid: faces");
     return;
 }
 
Index: conv/asc/asc2g.c
===================================================================
--- conv/asc/asc2g.c	(revision 54048)
+++ conv/asc/asc2g.c	(working copy)
@@ -887,7 +887,7 @@
     int i;
 
     if (ars_name)
-	bu_free((char *)ars_name, "ars_name");
+	bu_free((genptr_t)ars_name, "ars_name");
     cp = buf;
     cp = nxt_spc(cp);
     cp = nxt_spc(cp);
@@ -1255,7 +1255,7 @@
 	if (i != j) {
 	    bu_log("Vertices out of order in solid %s (expecting %d, found %d)\n",
 		   my_name, i, j);
-	    bu_free((char *)vertices, "botbld: vertices");
+	    bu_free((genptr_t)vertices, "botbld: vertices");
 	    bu_log("Skipping this solid!\n");
 	    while (buf[0] == '\t')
 		bu_fgets(buf, BUFSIZE, ifp);
@@ -1278,10 +1278,10 @@
 	if (i != j) {
 	    bu_log("Faces out of order in solid %s (expecting %d, found %d)\n",
 		   my_name, i, j);
-	    bu_free((char *)vertices, "botbld: vertices");
-	    bu_free((char *)faces, "botbld: faces");
+	    bu_free((genptr_t)vertices, "botbld: vertices");
+	    bu_free((genptr_t)faces, "botbld: faces");
 	    if (mode == RT_BOT_PLATE)
-		bu_free((char *)thick, "botbld thick");
+		bu_free((genptr_t)thick, "botbld thick");
 	    bu_log("Skipping this solid!\n");
 	    while (buf[0] == '\t')
 		bu_fgets(buf, BUFSIZE, ifp);
@@ -1301,11 +1301,11 @@
     mk_bot(ofp, my_name, mode, orientation, 0, num_vertices, num_faces,
 	   vertices, faces, thick, facemode);
 
-    bu_free((char *)vertices, "botbld: vertices");
-    bu_free((char *)faces, "botbld: faces");
+    bu_free((genptr_t)vertices, "botbld: vertices");
+    bu_free((genptr_t)faces, "botbld: faces");
     if (mode == RT_BOT_PLATE) {
-	bu_free((char *)thick, "botbld thick");
-	bu_free((char *)facemode, "botbld facemode");
+	bu_free((genptr_t)thick, "botbld thick");
+	bu_free((genptr_t)facemode, "botbld facemode");
     }
 }
 
Index: conv/asc/g2asc.c
===================================================================
--- conv/asc/g2asc.c	(revision 54048)
+++ conv/asc/g2asc.c	(working copy)
@@ -965,12 +965,12 @@
     while (BU_LIST_WHILE(mp, mchain, &head)) {
 	membdump(&mp->r);
 	BU_LIST_DEQUEUE(&mp->l);
-	bu_free((char *)mp, "mchain");
+	bu_free((genptr_t)mp, "mchain");
     }
 
     if (ret_mp) {
 	memcpy((char *)&record, (char *)&ret_mp->r, sizeof(record));
-	bu_free((char *)ret_mp, "mchain");
+	bu_free((genptr_t)ret_mp, "mchain");
 	return 1;
     }
     return 0;
@@ -1118,7 +1118,7 @@
 	fprintf(ofp, "%.12e\n", *vp++);
     }
     /* Free the knot data memory */
-    (void)bu_free((char *)fp, "KNOT DATA");
+    (void)bu_free((genptr_t)fp, "KNOT DATA");
 
     /* Malloc and clear memory for the CONTROL MESH data and read it */
     nbytes = record.d.d_nctls * sizeof(union record);
@@ -1136,7 +1136,7 @@
 	fprintf(ofp, "%.12e\n", *vp++);
     }
     /* Free the control mesh memory */
-    (void)bu_free((char *)fp, "CONTROL MESH");
+    (void)bu_free((genptr_t)fp, "CONTROL MESH");
 }
 
 /*
Index: conv/g-shell-rect.c
===================================================================
--- conv/g-shell-rect.c	(revision 54048)
+++ conv/g-shell-rect.c	(working copy)
@@ -1078,7 +1078,7 @@
 	(void)rt_shootray(&ap);
     }
     bu_free(sd.manifolds, "manifolds");
-    bu_free((char *)sd.hitmiss, "hitmiss");
+    bu_free((genptr_t)sd.hitmiss, "hitmiss");
 }
 
 static int
@@ -1694,14 +1694,14 @@
 		ptr = strtok(bu_optarg, token_seps);
 		if (!ptr) {
 		    bu_log("Bad -a option '%s'\n", bu_optarg);
-		    bu_free((char *)rpp, "rpp");
+		    bu_free((genptr_t)rpp, "rpp");
 		    break;
 		}
 
 		rpp->tolerance = atof(ptr);
 		if (rpp->tolerance <= 0.0) {
 		    bu_log("Illegal tolerance in -a option (%s)\n", ptr);
-		    bu_free((char *)rpp, "rpp");
+		    bu_free((genptr_t)rpp, "rpp");
 		    break;
 		}
 
@@ -1716,7 +1716,7 @@
 		    rpp->min[i] = atof(ptr);
 		}
 		if (bad_opt) {
-		    bu_free((char *)rpp, "rpp");
+		    bu_free((genptr_t)rpp, "rpp");
 		    break;
 		}
 
@@ -1732,7 +1732,7 @@
 		    rpp->max[i] = atof(ptr);
 		}
 		if (bad_opt) {
-		    bu_free((char *) rpp, "rpp");
+		    bu_free((genptr_t) rpp, "rpp");
 		    break;
 		}
 
Index: conv/proe-g.c
===================================================================
--- conv/proe-g.c	(revision 54048)
+++ conv/proe-g.c	(working copy)
@@ -186,7 +186,7 @@
 	if (debug)
 	    bu_log("\tafter reg_ex, name is %s\n", ptr->brlcad_name);
     } else if (type == CUT_SOLID_TYPE) {
-	bu_free((char *)ptr->brlcad_name, "brlcad_name");
+	bu_free((genptr_t)ptr->brlcad_name, "brlcad_name");
 	ptr->brlcad_name = NULL;
     }
     ptr->solid_use_no = 0;
@@ -198,7 +198,7 @@
 
 	tmp = ptr->brlcad_name;
 	ptr->brlcad_name = bu_strdup(Build_unique_name(ptr->brlcad_name));
-	bu_free((char *)tmp, "brlcad_name");
+	bu_free((genptr_t)tmp, "brlcad_name");
     }
 
     if (type == ASSEMBLY_TYPE) {
@@ -997,7 +997,7 @@
 		continue;
 	    }
 	}
-	bu_free((char *)tree_list, "tree_list");
+	bu_free((genptr_t)tree_list, "tree_list");
     } FOR_ALL_DIRECTORY_END;
 }
 
Index: conv/g-xxx_facets.c
===================================================================
--- conv/g-xxx_facets.c	(revision 54048)
+++ conv/g-xxx_facets.c	(working copy)
@@ -309,7 +309,7 @@
 
 	sofar = db_path_to_string(pathp);
 	bu_log("FAILED in triangulator: %s\n", sofar);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Sometimes the NMG library adds debugging bits when
 	 * it detects an internal error, before bombing out.
Index: conv/nmg/g-nmg.c
===================================================================
--- conv/nmg/g-nmg.c	(revision 54048)
+++ conv/nmg/g-nmg.c	(working copy)
@@ -88,7 +88,7 @@
 
 	sofar = db_path_to_string(pathp);
 	bu_log("FAILED: %s\n", sofar);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Sometimes the NMG library adds debugging bits when
 	 * it detects an internal error, before bombing out.
@@ -383,7 +383,7 @@
 		break;
 	    default:
 		bu_log("Unrecognized Boolean operator in combination (%s)\n", dp->d_namep);
-		bu_free((char *)tree_list, "tree_list");
+		bu_free((genptr_t)tree_list, "tree_list");
 		rt_db_free_internal(&intern);
 		return;
 	}
Index: conv/iges/findp.c
===================================================================
--- conv/iges/findp.c	(revision 54048)
+++ conv/iges/findp.c	(working copy)
@@ -97,12 +97,12 @@
 
     for (i = 0; i < totentities; i++) {
 	if (dir[i]->type == 124 || dir[i]->type == 700)
-	    bu_free((char *)dir[i]->rot, "Free_dir: dir[i]->rot");
-	bu_free((char *)dir[i], "Free_dir: dir[i]");
+	    bu_free((genptr_t)dir[i]->rot, "Free_dir: dir[i]->rot");
+	bu_free((genptr_t)dir[i], "Free_dir: dir[i]");
     }
 
     if (totentities > 0)
-	bu_free((char *)dir, "Free_dir: dir");
+	bu_free((genptr_t)dir, "Free_dir: dir");
 }
 
 
Index: conv/iges/conv_drawings.c
===================================================================
--- conv/iges/conv_drawings.c	(revision 54048)
+++ conv/iges/conv_drawings.c	(working copy)
@@ -463,7 +463,7 @@
 		    struct ptlist *tmp_ptr;
 
 		    tmp_ptr = ptr->next;
-		    bu_free((char *)ptr, "Draw_entities: ptr");
+		    bu_free((genptr_t)ptr, "Draw_entities: ptr");
 		    ptr = tmp_ptr;;
 		}
 		break;
@@ -653,7 +653,7 @@
 
     Draw_entities(m, de_list, no_of_des, x, y, ang, (fastf_t)local_scale, xform);
 
-    bu_free((char *)de_list, "Do_view: de_list");
+    bu_free((genptr_t)de_list, "Do_view: de_list");
 }
 
 
@@ -721,10 +721,10 @@
     (void)mk_lfcomb(fdout, dir[entno]->name, &headp, 0)
 
 /*	if (no_of_views) {
-	bu_free((char *)view_entno, "Get_drawing: view_entno");
-	bu_free((char *)x, "Get_drawing: x");
-	bu_free((char *)y, "Get_drawing: y");
-	bu_free((char *)ang, "Get_drawing: ang");
+	bu_free((genptr_t)view_entno, "Get_drawing: view_entno");
+	bu_free((genptr_t)x, "Get_drawing: x");
+	bu_free((genptr_t)y, "Get_drawing: y");
+	bu_free((genptr_t)ang, "Get_drawing: ang");
 	}
 */
 	}
@@ -773,8 +773,8 @@
 	/* free views visible list */
 	for (i = 0; i < BU_PTBL_END(&view_vis_list); i++) {
 	    vv = (struct views_visible *)BU_PTBL_GET(&view_vis_list, i);
-	    bu_free((char *)vv->view_de, "Conv_drawings: vv->view_de");
-	    bu_free((char *)vv, "Conv_drawings: vv");
+	    bu_free((genptr_t)vv->view_de, "Conv_drawings: vv->view_de");
+	    bu_free((genptr_t)vv, "Conv_drawings: vv");
 	}
 	bu_ptbl_free(&view_vis_list);
 	return;
@@ -818,8 +818,8 @@
 	    /* free views visible list */
 	    for (i = 0; i < BU_PTBL_END(&view_vis_list); i++) {
 		vv = (struct views_visible *)BU_PTBL_GET(&view_vis_list, i);
-		bu_free((char *)vv->view_de, "Conv_drawings: vv->view_de");
-		bu_free((char *)vv, "Conv_drawings: vv");
+		bu_free((genptr_t)vv->view_de, "Conv_drawings: vv->view_de");
+		bu_free((genptr_t)vv, "Conv_drawings: vv");
 	    }
 	bu_ptbl_free(&view_vis_list);
 
@@ -848,8 +848,8 @@
     /* free views visible list */
     for (i = 0; i < BU_PTBL_END(&view_vis_list); i++) {
 	vv = (struct views_visible *)BU_PTBL_GET(&view_vis_list, i);
-	bu_free((char *)vv->view_de, "Conv_drawings: vv->view_de");
-	bu_free((char *)vv, "Conv_drawings: vv");
+	bu_free((genptr_t)vv->view_de, "Conv_drawings: vv->view_de");
+	bu_free((genptr_t)vv, "Conv_drawings: vv");
     }
     bu_ptbl_free(&view_vis_list);
 }
Index: conv/iges/add_inner_shell.c
===================================================================
--- conv/iges/add_inner_shell.c	(revision 54048)
+++ conv/iges/add_inner_shell.c	(working copy)
@@ -64,9 +64,9 @@
 
     nmg_gluefaces(fu, face_count, &tol);
 
-    bu_free((char *)fu, "Add_inner_shell: faceuse list");
-    bu_free((char *)face_de, "Add_inner_shell: face DE's");
-    bu_free((char *)face_orient, "Add_inner_shell: face orients");
+    bu_free((genptr_t)fu, "Add_inner_shell: faceuse list");
+    bu_free((genptr_t)face_de, "Add_inner_shell: face DE's");
+    bu_free((genptr_t)face_orient, "Add_inner_shell: face orients");
     return s;
 }
 
Index: conv/iges/trimsurf.c
===================================================================
--- conv/iges/trimsurf.c	(revision 54048)
+++ conv/iges/trimsurf.c	(working copy)
@@ -414,7 +414,7 @@
 	    for (i = 0; i < curve_count; i++)
 		Add_trim_curve((curve_list[i]-1)/2, lu, srf);
 
-	    bu_free((char *)curve_list, "Add_trim_curve: curve_list");
+	    bu_free((genptr_t)curve_list, "Add_trim_curve: curve_list");
 	}
 	    break;
 	case 110:	/* line */
@@ -586,7 +586,7 @@
 	    for (i = 0; i < curve_count; i++)
 		Add_trim_curve((curve_list[i]-1)/2, lu, srf);
 
-	    bu_free((char *)curve_list, "Make_trim_loop: curve_list");
+	    bu_free((genptr_t)curve_list, "Make_trim_loop: curve_list");
 
 	    /* if last EU is zero length, kill it */
 	    eu = BU_LIST_LAST(edgeuse, &lu->down_hd);
@@ -970,7 +970,7 @@
 
     if ((srf = Get_nurb_surf((surf_de-1)/2, m)) == (struct face_g_snurb *)NULL) {
 	if (inner_loop_count)
-	    bu_free((char *)inner_loop, "trim_surf: inner_loop");
+	    bu_free((genptr_t)inner_loop, "trim_surf: inner_loop");
 	return (struct faceuse *)NULL;
     }
 
@@ -1053,7 +1053,7 @@
     }
 
     if (inner_loop_count)
-	bu_free((char *)inner_loop, "trim_surf: inner_loop");
+	bu_free((genptr_t)inner_loop, "trim_surf: inner_loop");
 
     NMG_CK_FACE_G_SNURB(fu->f_p->g.snurb_p);
 
@@ -1157,7 +1157,7 @@
 		if (rt_g.NMG_debug & DEBUG_RT_ISECT)
 		    bu_log("\tNot a hit\n");
 
-		bu_free((char *)hp, "nurb_uv_hit");
+		bu_free((genptr_t)hp, "nurb_uv_hit");
 		hp = next;
 		continue;
 	    }
@@ -1205,7 +1205,7 @@
 		}
 	    }
 
-	    bu_free((char *)hp, "nurb_uv_hit");
+	    bu_free((genptr_t)hp, "nurb_uv_hit");
 	    hp = next;
 	}
 	rt_nurb_free_snurb(srf, (struct resource *)NULL);
@@ -1469,7 +1469,7 @@
 	    myhit = BU_LIST_FIRST(snurb_hit, &hit_list);
 	    BU_LIST_DEQUEUE(&myhit->l);
 
-	    bu_free((char *)myhit, "myhit");
+	    bu_free((genptr_t)myhit, "myhit");
 	}
 
     }
Index: conv/iges/revolve.c
===================================================================
--- conv/iges/revolve.c	(revision 54048)
+++ conv/iges/revolve.c	(working copy)
@@ -219,7 +219,7 @@
     /* Eliminate last struct if not used */
     if (trcptr->name[0] == '\0') {
       if (trcptr->prev) trcptr->prev->next = NULL;
-      bu_free((char *)trcptr, "Revolve: trcptr");
+      bu_free((genptr_t)trcptr, "Revolve: trcptr");
     }
 
     if (dir[entityno]->form == 1) {
@@ -404,7 +404,7 @@
     trcptr = trcs;
     while (trcptr != NULL) {
 	trcptr_tmp = trcptr->next;
-	bu_free((char *)trcptr, "Revolve: trcptr");
+	bu_free((genptr_t)trcptr, "Revolve: trcptr");
 	trcptr = trcptr_tmp;
     }
     return 1;
Index: conv/iges/get_outer_shell.cpp
===================================================================
--- conv/iges/get_outer_shell.cpp	(revision 54048)
+++ conv/iges/get_outer_shell.cpp	(working copy)
@@ -57,8 +57,8 @@
 
     // ??? do I need to glue these faces together?
 
-    bu_free((char *)face_de , "Get_outer_shell: face DE's");
-    bu_free((char *)face_orient , "Get_outer_shell: face orients");
+    bu_free((genptr_t)face_de , "Get_outer_shell: face DE's");
+    bu_free((genptr_t)face_orient , "Get_outer_shell: face orients");
     return s;
 }
 
@@ -110,9 +110,9 @@
 
     nmg_gluefaces(fu , face_count, &tol);
 
-    bu_free((char *)fu , "Get_outer_shell: faceuse list");
-    bu_free((char *)face_de , "Get_outer_shell: face DE's");
-    bu_free((char *)face_orient , "Get_outer_shell: face orients");
+    bu_free((genptr_t)fu , "Get_outer_shell: faceuse list");
+    bu_free((genptr_t)face_de , "Get_outer_shell: face DE's");
+    bu_free((genptr_t)face_orient , "Get_outer_shell: face orients");
     return s;
 }
 
Index: conv/iges/do_subfigs.c
===================================================================
--- conv/iges/do_subfigs.c	(revision 54048)
+++ conv/iges/do_subfigs.c	(working copy)
@@ -201,7 +201,7 @@
 
 		    name = list_ptr->obj_name;
 		} else
-		    bu_free((char *)file_name, "Do_subfigs: file_name");
+		    bu_free((genptr_t)file_name, "Do_subfigs: file_name");
 
 	    } else
 		name = dir[idx]->name;
Index: conv/iges/brep.c
===================================================================
--- conv/iges/brep.c	(revision 54048)
+++ conv/iges/brep.c	(working copy)
@@ -114,16 +114,16 @@
     }
 
     if (num_of_voids) {
-	bu_free((char *)void_shell_de, "BREP: void shell DE's");
-	bu_free((char *)void_orient, "BREP: void shell orients");
-	bu_free((char *)void_shells, "brep: void shell list");
+	bu_free((genptr_t)void_shell_de, "BREP: void shell DE's");
+	bu_free((genptr_t)void_orient, "BREP: void shell orients");
+	bu_free((genptr_t)void_shells, "brep: void shell list");
     }
 
     v_list = vertex_root;
     while (v_list != NULL) {
 	v_list_tmp = v_list->next;
-	bu_free((char *)v_list->i_verts, "brep: iges_vertex");
-	bu_free((char *)v_list, "brep: vertex list");
+	bu_free((genptr_t)v_list->i_verts, "brep: iges_vertex");
+	bu_free((genptr_t)v_list, "brep: vertex list");
 	v_list = v_list_tmp;
     }
     vertex_root = NULL;
@@ -131,8 +131,8 @@
     e_list = edge_root;
     while (e_list != NULL) {
 	e_list_tmp = e_list->next;
-	bu_free((char *)e_list->i_edge, "brep:iges_edge");
-	bu_free((char *)e_list, "brep: edge list");
+	bu_free((genptr_t)e_list->i_edge, "brep:iges_edge");
+	bu_free((genptr_t)e_list, "brep: edge list");
 	e_list = e_list_tmp;
     }
     edge_root = NULL;
@@ -148,9 +148,9 @@
 
     err :
 	if (num_of_voids) {
-	    bu_free((char *)void_shell_de, "BREP: void shell DE's");
-	    bu_free((char *)void_orient, "BREP: void shell orients");
-	    bu_free((char *)void_shells, "brep: void shell list");
+	    bu_free((genptr_t)void_shell_de, "BREP: void shell DE's");
+	    bu_free((genptr_t)void_orient, "BREP: void shell orients");
+	    bu_free((genptr_t)void_shells, "brep: void shell list");
 	}
 
     /* perform nmg kill model if make nmg was not executed since
Index: conv/iges/showtree.c
===================================================================
--- conv/iges/showtree.c	(revision 54048)
+++ conv/iges/showtree.c	(working copy)
@@ -187,7 +187,7 @@
 
     jtop = (-1);
     stklen = 0;
-    bu_free((char *)stk, "Afreestack: stk");
+    bu_free((genptr_t)stk, "Afreestack: stk");
     return;
 }
 
@@ -252,7 +252,7 @@
 Sfreestack()
 {
     sjtop = (-1);
-    bu_free((char *)sstk_p, "Sfreestack: sstk_p");
+    bu_free((genptr_t)sstk_p, "Sfreestack: sstk_p");
     return;
 }
 
Index: conv/iges/freetree.c
===================================================================
--- conv/iges/freetree.c	(revision 54048)
+++ conv/iges/freetree.c	(working copy)
@@ -32,7 +32,7 @@
 	    ptr = ptr->left;
 	}
 	ptr = (struct node *)Pop();
-	bu_free((char *)ptr, "Freetree: ptr");
+	bu_free((genptr_t)ptr, "Freetree: ptr");
 
 	if (ptr->parent == NULL)
 	    return;
Index: conv/iges/g-iges.c
===================================================================
--- conv/iges/g-iges.c	(revision 54048)
+++ conv/iges/g-iges.c	(working copy)
@@ -768,7 +768,7 @@
     de_pointer_number = 0;
     if (get_de_pointers(comb->tree, dp, comb_len, de_pointers)) {
 	bu_log("Error in combination %s\n", dp->d_namep);
-	bu_free((char *)de_pointers, "csg_comb_func de_pointers");
+	bu_free((genptr_t)de_pointers, "csg_comb_func de_pointers");
 	rt_db_free_internal(&intern);
 	return;
     }
@@ -794,7 +794,7 @@
     }
 
     rt_db_free_internal(&intern);
-    bu_free((char *)de_pointers, "csg_comb_func de_pointers");
+    bu_free((genptr_t)de_pointers, "csg_comb_func de_pointers");
 
 }
 
Index: conv/iges/get_outer_shell.c
===================================================================
--- conv/iges/get_outer_shell.c	(revision 54048)
+++ conv/iges/get_outer_shell.c	(working copy)
@@ -65,9 +65,9 @@
 
     nmg_gluefaces(fu, face_count, &tol);
 
-    bu_free((char *)fu, "Get_outer_shell: faceuse list");
-    bu_free((char *)face_de, "Get_outer_shell: face DE's");
-    bu_free((char *)face_orient, "Get_outer_shell: face orients");
+    bu_free((genptr_t)fu, "Get_outer_shell: faceuse list");
+    bu_free((genptr_t)face_de, "Get_outer_shell: face DE's");
+    bu_free((genptr_t)face_orient, "Get_outer_shell: face orients");
     return s;
 }
 
Index: conv/iges/iges.c
===================================================================
--- conv/iges/iges.c	(revision 54048)
+++ conv/iges/iges.c	(working copy)
@@ -1111,7 +1111,7 @@
 	bu_vls_printf(&str, ", %d", curve_de[i]);
     bu_vls_strcat(&str, ";");
 
-    bu_free((char *)curve_de, "nmg_fu_to_tsurf: curve_de");
+    bu_free((genptr_t)curve_de, "nmg_fu_to_tsurf: curve_de");
 
     /* remember where parameter data is going */
     dir_entry[2] = param_seq + 1;
@@ -1793,7 +1793,7 @@
 
 	    face_list[face_count++] = write_dir_entry(fp_dir, dir_entry);;
 
-	    bu_free((char *)loop_list, "loop list");
+	    bu_free((genptr_t)loop_list, "loop list");
 	    bu_vls_free(&str);
 	}
 
@@ -1817,7 +1817,7 @@
 
 	shell_list[shell_count++] = write_dir_entry(fp_dir, dir_entry);
 
-	bu_free((char *)face_list, "face list");
+	bu_free((genptr_t)face_list, "face list");
 	bu_vls_free(&str);
     }
 
@@ -1877,7 +1877,7 @@
     dir_entry[15] = 0;
     dir_entry[14] = write_freeform(fp_param, bu_vls_addr(&str), dir_seq+1, 'P');
 
-    bu_free((char *)shell_list, "shell list");
+    bu_free((genptr_t)shell_list, "shell list");
     bu_vls_free(&str);
 
     return write_dir_entry(fp_dir, dir_entry);
@@ -2588,7 +2588,7 @@
 	    brep_de = write_tree_of_unions(name, region_de, region_count ,
 					   dependent, fp_dir, fp_param);
 
-	    bu_free((char *)region_de, "nmg_to_iges");
+	    bu_free((genptr_t)region_de, "nmg_to_iges");
 	    return brep_de;
 	}
     } else {
Index: conv/iges/convassem.c
===================================================================
--- conv/iges/convassem.c	(revision 54048)
+++ conv/iges/convassem.c	(working copy)
@@ -200,7 +200,7 @@
 	ptr = root;
 	while (ptr != NULL) {
 	    ptr_tmp = ptr->next;
-	    bu_free((char *)ptr, "convassem: ptr");
+	    bu_free((genptr_t)ptr, "convassem: ptr");
 	    ptr = ptr_tmp;
 	}
     }
Index: conv/iges/check_names.c
===================================================================
--- conv/iges/check_names.c	(revision 54048)
+++ conv/iges/check_names.c	(working copy)
@@ -245,7 +245,7 @@
 
     Readname(&name, "");
     dir[entityno]->name = Make_unique_brl_name(name);
-    bu_free((char *)name, "Get_name: name");
+    bu_free((genptr_t)name, "Get_name: name");
 
 }
 
@@ -322,7 +322,7 @@
 
     Readname(&name, "");
     dir[entityno]->name = Make_unique_brl_name(name);
-    bu_free((char *)name, "Get_name: name");
+    bu_free((genptr_t)name, "Get_name: name");
 }
 
 
@@ -397,7 +397,7 @@
 
     Readname(&name, "");
     dir[entityno]->name = Make_unique_brl_name(name);
-    bu_free((char *)name, "Get_name: name");
+    bu_free((genptr_t)name, "Get_name: name");
 }
 
 
@@ -471,7 +471,7 @@
 
     Readname(&name, "");
     dir[entityno]->name = Make_unique_brl_name(name);
-    bu_free((char *)name, "Get_name: name");
+    bu_free((genptr_t)name, "Get_name: name");
 }
 
 
@@ -508,7 +508,7 @@
     Readname(&name, "");	/* get subfigure name */
 
     dir[entityno]->name = Add_brl_name(name);
-    bu_free((char *)name, "Get_name: name");
+    bu_free((genptr_t)name, "Get_name: name");
 }
 
 
